from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class ZoomLevel(IntEnum):
    NOT_AVAILABLE = auto()
    ORIGINAL = auto()
    FIT_TO_WINDOW = auto()
    FIT_TO_WINDOW_FIXED_ASPECT = auto()
    FULLSCREEN = auto()
    ZOOM_1_TO_4 = auto()
    ZOOM_1_TO_2 = auto()
    ZOOM_2_TO_1 = auto()
    ZOOM_4_TO_1 = auto()
